Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSUnifiedPortalResources Class Reference

Resources returned by Unified Portal. More...

`#import <CSUnifiedPortalResources.h>`

Inherits NSObject.

## Instance Methods
(instancetype) | - initWithAadsURL:bfcpUdpMinPort:bfcpUdpMaxPort:appCastURL:appCastCheckInterval:extraProperties:requestToJoinMeetingCapability:

## Properties
NSURL * | aadsURL
| The URL of Avaya Aura Device Services. More...
NSUInteger | bfcpUdpMinPort
| Specifies the lower limit of the UDP port range to be used by BFCP signaling channel. More...
NSUInteger | bfcpUdpMaxPort
| Specifies the upper limit of the UDP port range to be used by BFCP signaling channel. More...
NSURL * | appCastURL
| The URL of App Cast Service. More...
NSTimeInterval | appCastCheckInterval
| The client update checking interval. More...
NSDictionary * | extraProperties
| A dictionary of extra properties the application may be interested in. More...
CSCapability * | requestToJoinMeetingCapability
| Capability info indicating whether local user can request to join Meet-Me conference. More...

## Detailed Description

Resources returned by Unified Portal.

## Method Documentation

- (instancetype) initWithAadsURL: |  | (NSURL *) | aadsURL
bfcpUdpMinPort: |  | (NSUInteger) | bfcpUdpMinPort
bfcpUdpMaxPort: |  | (NSUInteger) | bfcpUdpMaxPort
appCastURL: |  | (NSURL *) | appCastURL
appCastCheckInterval: |  | (NSTimeInterval) | appCastCheckInterval
extraProperties: |  | (NSDictionary *) | extraProperties
requestToJoinMeetingCapability: |  | (CSCapability *) | requestToJoinMeetingCapability

## Property Documentation

- (NSURL*) aadsURL
| read nonatomic copy

The URL of Avaya Aura Device Services.

Shall be used to configure contact services when in Meet-me mode.

See also
  CSACSConfiguration

- (NSTimeInterval) appCastCheckInterval
| read write nonatomic assign

The client update checking interval.

- (NSURL*) appCastURL
| read nonatomic copy

The URL of App Cast Service.

Meet-me client shall periodically check for software updates using this URL.

- (NSUInteger) bfcpUdpMaxPort
| read write nonatomic assign

Specifies the upper limit of the UDP port range to be used by BFCP signaling channel.

Shall be used to populate BFCP configuration data when in Meet-me mode.

See also
  CSBFCPConfiguration

- (NSUInteger) bfcpUdpMinPort
| read write nonatomic assign

Specifies the lower limit of the UDP port range to be used by BFCP signaling channel.

Shall be used to populate BFCP configuration data when in Meet-me mode.

See also
  CSBFCPConfiguration

- (NSDictionary*) extraProperties
| read nonatomic assign

A dictionary of extra properties the application may be interested in.

Complex property values are JSON encoded strings.

- (CSCapability*) requestToJoinMeetingCapability
| read nonatomic assign

Capability info indicating whether local user can request to join Meet-Me conference.

The capability returns not supported if the portal version provided in portal resource discovery older then configured minimum portal version.

The documentation for this class was generated from the following file:

- CSUnifiedPortalResources.h